filesystems/fuse-wdfs - The NetBSD Packages Collection

FUSE-based webdav filesystem

wdfs is a webdav filesystem with special features for accessing subversion
repositories. it is based on fuse v2.5+ and neon v0.24.7+.

features:
 - generic webdav filesystem
 - http redirect support
 - https support
 - file locking support (different modes)
 - access to all revisions of a webdav exported subversion repository
 - versioning filesystem for autoversioning enabled subversion repositories

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/pkgconf

Runtime dependencies

devel/glib2 www/neon devel/glib2 www/neon

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffuse-wdfs-1.4.2nb14.tgz
NetBSD 8.0earmv7hffuse-wdfs-1.4.2nb13.tgz
NetBSD 8.0earmv7hffuse-wdfs-1.4.2nb14.tgz
NetBSD 8.0i386fuse-wdfs-1.4.2nb13.tgz
NetBSD 8.0i386fuse-wdfs-1.4.2nb14.tgz
NetBSD 8.0powerpcfuse-wdfs-1.4.2nb13.tgz
NetBSD 8.0powerpcfuse-wdfs-1.4.2nb14.tgz
NetBSD 8.0powerpcfuse-wdfs-1.4.2nb14.tgz
NetBSD 8.0powerpcfuse-wdfs-1.4.2nb14.tgz
NetBSD 8.0x86_64fuse-wdfs-1.4.2nb13.tgz
NetBSD 8.0x86_64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0aarch64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0aarch64fuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0aarch64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0alphafuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0alphafuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0alphafuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0earmv6hffuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0earmv6hffuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0earmv6hffuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0earmv7hffuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0earmv7hffuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0earmv7hffuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0earmv7hffuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0i386fuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0i386fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0mips64ebfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0mips64ebfuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0mips64ebfuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0mips64ebfuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0mips64ebfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0powerpcfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0powerpcfuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0powerpcfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0powerpcfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0sparc64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0sparc64fuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0sparc64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0sparcfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0sparcfuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0sparcfuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0x86_64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0x86_64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0x86_64fuse-wdfs-1.4.2nb13.tgz
NetBSD 9.0x86_64fuse-wdfs-1.4.2nb14.tgz
NetBSD 9.0x86_64fuse-wdfs-1.4.2nb14.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.